Bug 179470 - Mkinitrd fail if "strip" for modules not recognize file format
Mkinitrd fail if "strip" for modules not recognize file format
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-01-31 12:02 EST by Alexander Shiyan
Modified: 2008-03-02 06:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 18:19:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Shiyan 2006-01-31 12:02:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); ru-RU; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
I wrote patch for mkinird, which ignore errors on strip modules.
This errors must be present if install kernel for x86-64 arch when
strip program is not support x86-64.
Today I upgrade my machine from Pentium-II to Pentium 4 D with EM64T support
and want try use x86-64 kernel. With this patch is done. Patch I place in field "Additional information".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.On alredy installed ia32 system (on x86-64 machine) try to install x86-64 kernel.

Actual Results:  inird image not contain modules.

Additional info:

--- mkinitrd.orig       2006-01-04 03:50:37.000000000 +0300
+++ mkinitrd    2006-01-31 18:50:13.000000000 +0300
@@ -698,7 +698,7 @@

 for MODULE in $MODULES; do
     if [ -x /usr/bin/strip ]; then
-       /usr/bin/strip -g $verbose $MODULE -o $MNTIMAGE/lib/$(basename $MODULE)
+       /usr/bin/strip -g $verbose $MODULE -o $MNTIMAGE/lib/$(basename $MODULE) 2>/dev/null || cp $verbose -a $MODULE $MNTIMAGE/lib
        cp $verbose -a $MODULE $MNTIMAGE/lib
Comment 1 Robin Green 2008-03-02 06:32:35 EST
Why is this marked not a bug? It is a bug, with a patch included to fix it.

Note You need to log in before you can comment on or make changes to this bug.